//@ts-ignore
import React, { Component } from 'react';
//@ts-ignore
import { ReportViewer, PluginModel } from '@grapecity/viewer-core';
import { GcPdfViewer } from './../GcPdfViewer';
import { SharedDocumentInfo } from './types';
type SharedDocumentsModel = {
    sharedDocuments: SharedDocumentInfo[];
    disabled?: boolean;
};
type Props = {
    pdfViewer: GcPdfViewer;
};
export declare class SharedDocuments extends Component<Props, SharedDocumentsModel> {
    private _mounted;
    constructor(props: Props, context: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    fetchSharedDocuments(): void;
    openSharedDocument(documentId: string): Promise<void>;
//@ts-ignore
//@ts-ignore
    render(): React.JSX.Element;
//@ts-ignore
    renderSharedDocumentListItem(sharedDocument: SharedDocumentInfo): JSX.Element;
}
declare function createSharedDocumentsPanel(host: ReportViewer): PluginModel.PanelHandle;
export default createSharedDocumentsPanel;
